Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_TSS_Adapter Class Reference

This class encapsulates a TSS object and its associated C++ destructor function. It is used by the ACE_TSS... methods (in Synch_T.cpp) in order to allow an extern "C" cleanup routine to be used. Needed by the "frigging" MVS C++ compiler. More...

`#include <TSS_Adapter.h>`

List of all members.

## Public Methods
| ACE_TSS_Adapter (void *object, ACE_THR_DEST f)
| Initialize the adapter.
| ~ACE_TSS_Adapter (void)
| Default dtor.
void | cleanup (void)
| Perform the cleanup operation.
## Public Attributes
void * | ts_obj_
| The real TS object.
ACE_THR_DEST | func_
| The real cleanup routine for ts_obj;.

## Detailed Description

This class encapsulates a TSS object and its associated C++ destructor function. It is used by the ACE_TSS... methods (in Synch_T.cpp) in order to allow an extern "C" cleanup routine to be used. Needed by the "frigging" MVS C++ compiler.

Objects of this class are stored in thread specific storage. ts_obj_ points to the "real" object and func_ is a pointer to the C++ cleanup function for ts_obj_.

## Constructor & Destructor Documentation

ACE_TSS_Adapter::ACE_TSS_Adapter | ( | void * | object,
|  | ACE_THR_DEST | f
| ) |

| Initialize the adapter.

ACE_INLINE ACE_TSS_Adapter::~ACE_TSS_Adapter | ( | void |  | ) |

| Default dtor.

## Member Function Documentation

void ACE_TSS_Adapter::cleanup | ( | void |  | ) |

| Perform the cleanup operation.

## Member Data Documentation

ACE_THR_DEST ACE_TSS_Adapter::func_

| The real cleanup routine for ts_obj;.

void* ACE_TSS_Adapter::ts_obj_

| The real TS object.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/TSS_Adapter.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/TSS_Adapter.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/TSS_Adapter.inl